Update Workspace
curl --request PATCH \
--url https://app.govly.com/api/v3/opportunity_workspaces/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"stage": "<string>",
"name": "<string>"
}
'import requests
url = "https://app.govly.com/api/v3/opportunity_workspaces/{id}"
payload = {
"stage": "<string>",
"name": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage: '<string>', name: '<string>'})
};
fetch('https://app.govly.com/api/v3/opportunity_workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Workspaces
Update Workspace
PATCH
/
api
/
v3
/
opportunity_workspaces
/
{id}
Update Workspace
This endpoint updates an existing workspace.
Path Parameters
ID of the workspace to update
Request Body
New stage for the workspace
New display name for the workspace
This endpoint is part of the legacy v3 API and will be deprecated in the future. Please migrate to the new enterprise API endpoints.
Was this page helpful?
⌘I